# Uses of Class
org.apache.lucene.geo.XYLine

Packages that use XYLine
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of XYLine in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type XYLine
  Modifier and Type
  Method
  Description
  `static XYShapeDocValuesField`
  XYShape.`createDocValueField(String fieldName, XYLine line)`
  create doc value field for x, y line geometry without creating indexable fields.
  `static Field[]`
  XYShape.`createIndexableFields(String fieldName, XYLine line)`
  create indexable fields for cartesian line geometry
  `static Query`
  XYShape.`newLineQuery(String field, ShapeField.QueryRelation queryRelation, XYLine... lines)`
  create a query to find all cartesian shapes that intersect a provided linestring (or array of linestrings) *